Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.keys
Class KeyName

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.keys.KeyName`

All Implemented Interfaces:
  KeyInfoData

public class KeyName
extends XMLElement
implements KeyInfoData

XML-DSIG KeyName element.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`KeyName(org.w3c.dom.Element element)` Creates a new `KeyName` instance from the given Element node.
`KeyName(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `KeyName` instance from the given Element node.

Method Summary
`java.lang.String` | `getName()` Returns the string value for this KeyName.
`java.lang.String` | `getType()` Returns the type URI that identifies the specific KeyInfoData subclass.
`void` | `setName(java.lang.String name)` Sets the string value for this KeyName, replacing any existing value.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyName

    public KeyName(org.w3c.dom.Element element)
            throws org.w3c.dom.DOMException

  Creates a new `KeyName` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG KeyName schema.

### KeyName

    public KeyName(org.w3c.dom.Element element,
                   java.lang.String systemId)
            throws org.w3c.dom.DOMException

  Creates a new `KeyName` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG KeyName schema.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

Method Detail

### setName

    public void setName(java.lang.String name)
                 throws org.w3c.dom.DOMException

  Sets the string value for this KeyName, replacing any existing value.
  Parameters:
    `name` - The string name to be contained in the `KeyName` element.
  Throws:
    `org.w3c.dom.DOMException`

### getName

    public java.lang.String getName()

  Returns the string value for this KeyName.
  Returns:
    A string, or `null` if none is defined.

### getType

    public java.lang.String getType()

  Description copied from interface: `KeyInfoData`
  Returns the type URI that identifies the specific KeyInfoData subclass.

  Interface `XMLURI` contains the KeyInfo data type URIs defined in the XML Signature and XML Encryption namespaces, including:

  - Diffie-Hellman Public Key `XMLURI.obj_DHKeyValue`
  - DSA Public Key `XMLURI.obj_DSAKeyValue`
  - Encrypted Key `XMLURI.obj_EncryptedKey`
  - Key Name `XMLURI.obj_KeyName`
  - Key Management Data `XMLURI.obj_MgmtData`
  - PGP Key Data `XMLURI.obj_PGPData`
  - Raw (base-64 encoded binary) X.509 Certificate `XMLURI.obj_rawX509Certificate`
  - Key Retrieval Method `XMLURI.obj_RetrievalMethod`
  - RSA Public Key `XMLURI.obj_RSAKeyValue`
  - SPKI Key Data `XMLURI.obj_SPKIData`
  - X.509 Key/Certificate Data `XMLURI.obj_X509Data`
  Specified by:
    `getType` in interface `KeyInfoData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.